package com.xkrs.service;

import com.xkrs.model.qo.ProductQo;

import java.util.List;

/**
 * @Author: XinYi Song
 * @Date: 2021/12/15 15:38
 */
public interface ProductService {

    /**
     * 添加商品信息
     * @param productQo      商品信息
     * @param business       商家用户id
     * @return
     */
    String addingProduct(ProductQo productQo,Integer business, String userIdentity);

    /**
     * 商家查看上下架商品的信息
     * @param businessId
     * @param productCounty
     * @param shelfType
     * @return
     */
    String selectProductShelfType(Integer businessId, String productCounty, String shelfType);
}
